#!/usr/bin/perl

# mixedvb.pl Version 0.1.0 - Print Mixed 6x6 Volleyball
# Copyright (C) 2002  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

srand;
$PREVEVENT = $PREVRND = -999;
while ($LN = <>)
   {
   chop($LN);
   @FLD = split(/ /,$LN);
   $LGTH = $#FLD;
   next if ($LGTH < 9);
   $EVENT = $FLD[0];
   $ROUND = $FLD[1];
   if ($EVENT != $PREVEVENT
      || $ROUND != $PREVRND)
      {
      printf "\nRound %3d\n\n", $ROUND;
      print  "            ---- Men ----  --- Women ---";
      print  "      ---- Men ----  --- Women ---\n";
      $PREVRND = $ROUND;
      $PREVEVENT = $EVENT;
      } # event break
   $COURT = $FLD[2];
   $SIDE  = $FLD[3];
   if ($SIDE == 1)
      {
      $AHE  = $FLD[4] + 1;
      $BHE  = $FLD[5] + 1;
      $CHE  = $FLD[6] + 1;
      $ASHE = $FLD[7] + 1;
      $BSHE = $FLD[8] + 1;
      $CSHE = $FLD[9] + 1;
      $PREVRND = $ROUND;
      $PREVEVENT = $EVENT;
      next;
      } # if side a
   elsif ($SIDE == 2)
      {
      $DHE  = $FLD[4] + 1;
      $EHE  = $FLD[5] + 1;
      $FHE  = $FLD[6] + 1;
      $DSHE = $FLD[7] + 1;
      $ESHE = $FLD[8] + 1;
      $FSHE = $FLD[9] + 1;
      } # if side b
   printf "Court %3d:  %3d  %3d  %3d  %3d  %3d  %3d  ",
      $COURT, $AHE, $BHE, $CHE,
      $ASHE, $BSHE, $CSHE;
   printf "vs  %3d  %3d  %3d  %3d  %3d  %3d\n",
      $DHE,  $EHE,  $FHE,
      $DSHE, $ESHE, $FSHE;
   $PREVRND = $ROUND;
   $PREVEVENT = $EVENT;
   } # read loop
