#!/usr/bin/perl

# bridge.pl Version 0.1.0 - Print Bridge Pairing
# Copyright (C) 2002  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

srand;
$PREVEVENT = $PREVRND = -999;
while ($LN = <>)
   {
   chop($LN);
   @FLD = split(/ /,$LN);
   $LGTH = $#FLD;
   next if ($LGTH < 6);
   $EVENT = $FLD[0];
   $ROUND = $FLD[1];
   if ($EVENT != $PREVEVENT
      || $ROUND != $PREVRND)
      {
      printf "\nRound %3d\n", $ROUND;
      print  "\n             North  South   East   West\n";
      $PREVRND = $ROUND;
      $PREVEVENT = $EVENT;
      } # event break
   $COURT = $FLD[2];
   printf "Table %3d:", $COURT;
   # shuffle the 4 players on each court
   $LST[0] = 3;
   $LST[1] = 4;
   $LST[2] = 5;
   $LST[3] = 6;
   $LST[4] = 0;
   $LIM = 4;
   while ($LIM > 0)
      {
      $INDX = int(rand $LIM);
      $INDEX = $LST[$INDX];
      $PLYR = $FLD[$INDEX] + 1;
      printf "%7d", $PLYR;
      while ($INDX < 4)
         {
         $LST[$INDX] = $LST[$INDX+1];
         $INDX++;
         } # shift left
      $LIM--;
      } # print each player
   print "\n";
   $PREVRND = $ROUND;
   $PREVEVENT = $EVENT;
   } # read loop
